/* -------------------------------------------------------

This shader implements support for 4 point lights placed as
OpenGL GL_LIGHT1 through GL_LIGHT4.

--------------------------------------------------------- */

varying vec3 vNormal;
varying vec4 vPosition;

void main()
{	
	vec3 transformedVertex;
	
	// Transform the normal and vertex into eye space
	vNormal           = normalize(gl_NormalMatrix * gl_Normal);
	vPosition         = gl_ModelViewMatrix * gl_Vertex;
			
	gl_Position = ftransform();	
	gl_TexCoord[0].st = vec2(gl_MultiTexCoord0);
} 
